<?php

namespace app\mz_nfc\controller;


use think\facade\Db;
use think\facade\View;
use vitphp\admin\controller\BaseController;

/**
 * @title 帮助文章
 */
class News extends BaseController
{
    /**
     * @title 文章列表
     */
    public function index(){
        $pid = input('pid');
        $news = Db::name('mz_nfc_news')->where('pid',$pid)->select()->toArray();
        View::assign([
           'news'=>!empty('news')?$news:''
        ]);
        return View::fetch();
    }
    /**
     * @title 编辑文章
     */
    public function edit(){
        $pid = input('pid');
        $id = input('id');
        $news = Db::name('mz_nfc_news')->where(['pid'=>$pid,'id'=>$id])->find();
        //判断是否post提交
        if(request()->isPost()){
            $param = [
                'title'=>input('title'),
                'content'=>input('content'),
                'time'=>time(),
                'pv'=>'0',
                'pid'=>$pid
            ];
            if ($id){
                $res = Db::name('mz_nfc_news')->where('id',$id)->update($param);
            }else{
                $res = Db::name("mz_nfc_news")->save($param);
            }
            if($res){
                $this->success("保存成功！", ToUrl('mz_nfc/news/index'));
            }else{
                $this->error("保存失败！");
            }
        }
        View::assign([
            'news'=>!empty('news')?$news:''
        ]);
        return View::fetch();
    }
    /**
     * @title 删除文章
     */
    public function del(){
        $ids = $this->request->post('ids');
        $query = Db::name('mz_nfc_news')->where('id',$ids)->delete();
        if ($query){
            $this->success('删除成功');
        }else{
            $this->error('删除失败');
        }
    }
}