<?php
// +----------------------------------------------------------------------
// | VitPHP
// +----------------------------------------------------------------------
// | 版权所有 2018~2021 藁城区创新网络电子商务中心 [ http://www.vitphp.cn ]
// +----------------------------------------------------------------------
// | VitPHP是一款免费开源软件,您可以访问http://www.vitphp.cn/以获得更多细节。
// +----------------------------------------------------------------------

namespace app\mz_nfc\controller;
use think\facade\Db;
use think\facade\View;
use vitphp\admin\controller\BaseController;
/**
 * @title 用户管理
 */
class User extends BaseController
{
    /**
     * @title 用户列表
     */
    public function index(){
        $pid = input('pid');
        $page = $this->request->get('page');
        $pageNum = 15;
        $list = Db::name('mz_nfc_user')->where(['pid'=>$pid])->whereNotNull('nickname')->order('id','desc')->paginate($pageNum);
        View::assign([
            'list' => $list,
            'page' => $list->render(),
            'pageNum' => $pageNum,
            'p' => $page ? $page-1 : 0
        ]);
        return View::fetch();
	}
    /**
     * @title 编辑用户
     */
    public function edit(){
        $pid = input('pid');
        $id = input('id');
        $user = Db::name('mz_nfc_user')->where(['pid'=>$pid,'id'=>$id])->find();
        //判断是否post提交
        if(request()->isPost()){
            $param = [
                'is_admin'=>input('is_admin'),
            ];
            $res = Db::name('mz_nfc_user')->where(['pid'=>$pid,'id'=>$id])->update($param);
            if($res){
                $this->success("保存成功！", ToUrl('mz_nfc/user/index'));
            }else{
                $this->error("保存失败！");
            }
        }
        View::assign([
            'user'=>!empty($user)?$user:''
        ]);
        return View::fetch();
    }
}