<?php
// +----------------------------------------------------------------------
// | VitPHP
// +----------------------------------------------------------------------
// | 版权所有 2018~2021 藁城区创新网络电子商务中心 [ http://www.vitphp.cn ]
// +----------------------------------------------------------------------
// | VitPHP是一款免费开源软件,您可以访问http://www.vitphp.cn/以获得更多细节。
// +----------------------------------------------------------------------


namespace app\mz_nfc\controller\wxapp;

use think\facade\Db;

class Doc extends Base
{
    protected $middleware = [
        \app\cx_dyfx\middleware\TokenCheck::class => ['except' => ['list', 'detail']]
    ];

    /**
     * 获取列表
     */
    public function list()
    {
        $pid = input('pid');
        $page = $this->getPage();
        $num = $this->getNum();

        $list = Db::name('mz_nfc_news')->where(['pid'=>$pid])->page($page, $num)->select();
        $list = $list->isEmpty() ? [] : $list->toArray();
        foreach($list as &$item){
            $item['time'] = date('Y-m-d H:i:s', $item['time']);
        }

        $this->res['data'] = $list;
        return $this->json();
    }

    /**
     * 获取详情
     */
    public function detail()
    {
        $pid = input('pid');
        $id = input('id');

        $detail = Db::name('mz_nfc_news')->where(['pid'=>$pid, 'id'=>$id])->find();
        $this->res['data'] = $detail;
        return $this->json();
    }
}